:root {
  --tw-color-primary: 2 132 199;
  --tw-color-secondary: 16 185 129;
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 100px; /* Ajusta según el tamaño de tu header */
}

/* .section-title */
.section-title {
  font-size: 2.25rem; /* text-4xl */
  line-height: 2.5rem;
  font-weight: 800; /* font-extrabold */
  text-align: center;
  margin-bottom: 1rem; /* mb-4 */
  color: #075985; /* text-sky-800 */
}

@media (min-width: 768px) {
  .section-title {
    font-size: 3rem; /* md:text-5xl */
    line-height: 1;
  }
}

/* .nav-link */
.nav-link {
  color: #374151; /* text-gray-700 */
  position: relative;
  padding-bottom: 0.25rem; /* pb-1 */
  transition: color 0.3s; /* transition duration-300 */
}

.nav-link:hover {
  color: #0369a1; /* hover:text-sky-700 */
}

.nav-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 0.125rem; /* h-0.5 */
  background-color: #0369a1; /* bg-sky-700 */
  transition: transform 0.3s; /* transition duration-300 */
  transform: scaleX(0); /* scale-x-0 */
  transform-origin: bottom left;
}

.nav-link:hover::after {
  transform: scaleX(1); /* scale-x-100 */
}

/* .service-card */
.service-card {
  background-color: white; /* bg-white */
  padding: 1.5rem; /* p-6 */
  border-radius: 0.75rem; /* rounded-xl */
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05); /* shadow-lg */
  transition: all 0.3s; /* transition duration-300 */
  border-top-width: 4px;
  border-top-color: #10b981; /* border-emerald-500 */
  transform: translateY(0);
}

.service-card:hover {
  box-shadow: 0 20px 25px -5px rgba(0, 0, 0, 0.1),
    0 10px 10px -5px rgba(0, 0, 0, 0.04); /* hover:shadow-xl */
  transform: translateY(-0.25rem); /* hover:-translate-y-1 */
}

/* .service-icon */
.service-icon {
  font-size: 2.25rem; /* text-4xl */
  color: #10b981; /* text-emerald-500 */
  margin-bottom: 1rem; /* mb-4 */
}

/* .service-icon */
.profile-icon {
  font-size: 4.25rem; /* text-4xl */
  color: #10b981; /* text-emerald-500 */
  margin-bottom: 1rem; /* mb-4 */
}

/* .article-card */
.article-card {
  background-color: white; /* bg-white */
  padding: 1.25rem; /* p-5 */
  border-radius: 0.75rem; /* rounded-xl */
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05); /* shadow-lg */
  border-bottom-width: 4px;
  border-bottom-color: #f3f4f6; /* border-gray-100 */
  transition: all 0.3s; /* transition duration-300 */
}

.article-card:hover {
  box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.25); /* hover:shadow-2xl */
}

/* .article-card img */
.article-card img {
  border-radius: 0.5rem; /* rounded-lg */
  margin-bottom: 1rem; /* mb-4 */
  object-fit: cover; /* object-cover */
  width: 100%;
  /* height: 10rem; h-40 */
}

.article-bold {
  font-weight: bold;
  color: #075985; /* text-sky-800 */
}

.article-red {
  font-weight: bold;
  color: red; /* text-sky-800 */
}

.article-examen {
  background-color: #e18bb0;
  color: white;
  padding: 5px 10px;
  font-weight: bold;
}

/* .input-label */
.input-label {
  display: block;
  font-size: 0.875rem; /* text-sm */
  font-weight: 500; /* font-medium */
  color: #374151; /* text-gray-700 */
  margin-bottom: 0.25rem; /* mb-1 */
}

/* .input-field */
.input-field {
  width: 100%;
  padding-left: 1rem; /* px-4 */
  padding-right: 1rem;
  padding-top: 0.5rem; /* py-2 */
  padding-bottom: 0.5rem;
  border: 1px solid #d1d5db; /* border border-gray-300 */
  border-radius: 0.5rem; /* rounded-lg */
  transition: all 0.15s; /* transition duration-150 */
}

.input-field:focus {
  outline: none;
  border-color: #0ea5e9; /* focus:border-sky-500 */
  box-shadow: 0 0 0 3px rgba(14, 165, 233, 0.1); /* focus:ring-sky-500 */
}

.grid-color-green {
  background-color: #4db848;
  color: white;
  font-weight: bold;
}

.grid-color-blue {
  background-color: #13689b;
  color: white;
  font-weight: bold;
}

.grid-color-gray {
  background-color: #a3a5a8;
  color: white;
  font-weight: bold;
}
